/*
 * Debugging ...
 */
function log(msg){
	if (window.console && console.log) {
 		console.log(msg); //for firebug
	}

	$("#logBox").append(msg); //log to container
}

// Gateway
//var baseURL = "http://192.168.0.2:8080/99?t=##"
// Auf Server
var baseURL = "##.json"  

/*
 * Mapping der JSON-Namen
 */
var jsonNames = {
  // Kesselparameter 
	VlTmpSoll: {name: "Vorlauftemperatur (Soll)", unit: "&deg;C"},
	VlTmp : {name: "Vorlauftemperatur", unit: "&deg;C"},
	RlTmp : {name: "R&uuml;cklauftemperatur", unit: "&deg;C"},
  KslLstMax: {name: "Kesselleistung (Max)", unit: "%"},
  KslLst: {name: "Kesselleistung", unit: "%"},
  WWTmp: {name: "Warmwassertemperatur", unit: "&deg;C"},
  WDruck: {name: "Wasserdruck", unit: "Bar"},
  // HK1Monitor  
	RaumTmpSoll: {name: "Raumtemperatur (Soll)", unit: "&deg;C"},
  RaumTmp:  {name: "Raumtemperatur", unit: "&deg;C"},
  RaumTmpDelta: {name: "Raumtemperatur Delta", unit: "K/min"},
  // UBAMonitorSlow  
  AnzBrSt: {name: "Betriebsstunden", unit: "h"},
  BetrZtHz: {name: "Betriebszeit heizen", unit: "min"},
  BetrZtKp: {name: "Betriebszeit komplett", unit: "min"},
  PumpMod: {name: "Pumpenmodulation", unit: "%"},
  // UBAMonitorWW
	AnzWWBer:{name: "Warmwasserbereitungen", unit: ""},
  BetrZtWW: {name: "Betriebszeit Warmwasser", unit: "min"},
  WWTmpSoll: {name: "Warmwassertemperatur (Soll)", unit: "&deg;C"},
  
  AusTmpGed: {name: "Aussentemperatur ged&auml;mpft", unit: "&deg;C"}
};

/*
 * Eine Tabelle mit Daten vom EMS-Gateway fllen
 */
 function loadTable(url, name) {
	// Warte-Bild
	$(name).empty();
	$(name).append("<center><img src='css/themes/images/ajax-loader.gif'></center>");

	// Daten holen
	$.getJSON(url, function(data) {
		$(name).empty();
		for(var propertyName in data) {
   		$(name).append(
				 "<tr>"+
				 "<td class='ui-widget-content' width='70%'>" + jsonNames[propertyName].name + "</td>"+
				 "<td class='ui-widget-content' width='15%'>" + data[propertyName] + "</td>"+
				 "<td class='ui-widget-content' width='15%'>" + jsonNames[propertyName].unit + "</td>"+
				 "</tr>");
		}
	});
}
 
/*
 * Hauptfunktion
 */
$(document).ready(function(){
		// Callbacks fr aufklappbare Abschnitte
		$( "#warmwasser" ).bind('expand', function() {
			loadTable(baseURL.replace("##", "25"), "#Warmwasser");
		});
		$( "#kessel" ).bind('expand', function() {
			 loadTable(baseURL.replace("##", "24"), "#Kessel");	
		});
		$( "#betriebsdaten" ).bind('expand', function() {
			loadTable(baseURL.replace("##", "25"), "#Betriebsdaten");
		});
		$( "#heizkreis1" ).bind('expand', function() {
			loadTable(baseURL.replace("##", "62"), "#Heizkreis1");
		});
		$( "#aussentemperatur" ).bind('expand', function() {
			loadTable(baseURL.replace("##", "163"), "#Aussentemperatur");
		});
});

